/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia
 */

package org.objectweb.dream.dreamannotation.generator.template.lifecycle;

import org.objectweb.dream.control.lifecycle.NeedAsyncStartController;

import spoon.template.Local;
import spoon.template.Parameter;
import spoon.template.Template;

/**
 * Template used to generate the implementation of the
 * <code>NeedAsyncStartController</code> Interface, i.e. the
 * <code>getFcNeedAsyncStart()</code> method.
 * 
 * @author garciap
 */
public class DreamLifeCycleAsyncStartTemplate
    implements
      Template,
      NeedAsyncStartController
{

  /**
   * Constructor
   * 
   * <code>value</code> : value of parameter
   */
  @SuppressWarnings("unchecked")
  @Local
  public DreamLifeCycleAsyncStartTemplate(boolean value)
  {
    __result_ = value + "";
  }

  /**
   * A Local variable which is the reference to the singeton field
   */
  @Local
  boolean _result_;

  
  /**
   * The name of the singleton field
   */
  @Parameter("_result_")
  String  __result_;

  /**
   * @see org.objectweb.dream.control.lifecycle.NeedAsyncStartController#getFcNeedAsyncStart()
   */
  public boolean getFcNeedAsyncStart()
  {
    return _result_;
  }

}
