/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Pierre Garcia
 */

package org.objectweb.dream.dreamannotation.generator.template.monolog;

import org.objectweb.dream.InitializationException;

import spoon.template.Template;

/**
 * A template generate the _initLogger() methode empty implementation
 * 
 * @author Pierre Garcia <Pierre.Garciar@inrialpes.fr>
 * 
 */
public class DreamInitLoggerTemplate implements Template {

	/**
	 * Use this constructor for singeton bindings
	 * 
	 * @param serviceName
	 *            The name of the java field
	 */
	public DreamInitLoggerTemplate() {
	}

  /**
   * Initializes the logger of this component. This method is called during initialization of
   * the component controllers. <br>
   *
   * @throws InitializationException if an error occurs.
   * 
   */
  protected void _initLogger() throws InitializationException
  {}
}
