#!/bin/sh

RepScript=`dirname $0`
RepCourant=`pwd`

######################################
#   ENV VARIABLES
######################################


if [ -z "$JAVA_HOME" ]
then
        echo "The JAVA_HOME variable is not set. Please initialise it in your environment."
        exit 1
fi

if [ -z $PETALS_HOME ]
then
	PETALS_HOME=$RepCourant/$RepScript/../
fi

if [ ! -f $PETALS_HOME/conf/server.properties ]
then
	echo "The PETALS_HOME environment variable cannot be set correctly. Please set it in your environment with the correct value."
	exit 2
fi




PATH=$JAVA_HOME/bin/:$PATH

export PATH

#####################################



CLASSPATH=$PETALS_HOME/bin/server.jar:$CLASSPATH
export CLASSPATH


# Analyse des arguments
Silence=false
while getopts :hv:Sv options
do
        case ${options} in
                h)
                        echo "The ping.sh script is used to determine if Petals is started."
                        echo "usage : ping [-h] [-S]"
                        echo "     -h : prints the help message"
                        echo "     -S : active the silent mode"
                        exit 0;
                        ;;
                S)
                        Silence=true
                        ;;
                ?)
                        echo "usage : ping [-h] [-S]"
                        exit 2
                        ;;
        esac
done


pingResult=`cd $PETALS_HOME/bin && java -Xmx128m -jar server.jar version`

echo $pingResult | grep "Petals JBI Container - version:" >/dev/null 2>/dev/null

active=$?

if [ $active -eq 0 ]
then
        if [ $Silence != true ]
        then
                echo "Petals RUNNING"
        fi
        exit 0
else
        if [ $Silence != true ]
        then
                echo "Petals STOPPED"
        fi
        exit 1
fi
